VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::Property Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::Property:

## Avaliable Methods
public method | set_category ()
public method | set_type ()
public method | get_instance_id ()
public method | get_id ()
public method | set_class_id ()
public method | get_label ()
public method | get_value ()
public method | get_category ()
public method | new ()
public method | set_ui_optional ()
public method | set_description ()
public method | set_id ()
public method | set_label ()
public method | get_description ()
public method | get_ui_optional ()
public method | set_value ()
public method | get_class_id ()
public method | set_instance_id ()
public method | get_type ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::Property` class contains the information about a property in an OVF package.

A property is uniquely identified by its [classid.]id[.instanceid] fully-qualified name (see :attr:`Com::Vmware::Vcenter::Ovf::Property.class_id` , :attr:`Com::Vmware::Vcenter::Ovf::Property.id` , and :attr:`Com::Vmware::Vcenter::Ovf::Property.instance_id` ). If multiple properties in an OVF package have the same fully-qualified name, then the property is excluded and cannot be set. We do warn about this during import.

See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` and :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.filter` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::Property::get_category | ( |  | ) |

Gets the value of 'category' property.

Return values

  category | - The current value of the field. If this is set to a non-empty string, this property starts a new category. optional#

Code:
click to view
# Number of lines of code in get_category: 4
sub get_category {
my ($self, %args) = @_;
return $self->{'category'};
}

public method Com::Vmware::Vcenter::Ovf::Property::get_class_id | ( |  | ) |

Gets the value of 'class_id' property.

Return values

  class_id | - The current value of the field. The classId of this OVF property. optional#

Code:
click to view
# Number of lines of code in get_class_id: 4
sub get_class_id {
my ($self, %args) = @_;
return $self->{'class_id'};
}

public method Com::Vmware::Vcenter::Ovf::Property::get_description | ( |  | ) |

Gets the value of 'description' property.

Return values

  description | - The current value of the field. A description of this OVF property. optional#

Code:
click to view
# Number of lines of code in get_description: 4
sub get_description {
my ($self, %args) = @_;
return $self->{'description'};
}

public method Com::Vmware::Vcenter::Ovf::Property::get_id | ( |  | ) |

Gets the value of 'id' property.

Return values

  id | - The current value of the field. The identifier of this OVF property. optional#

Code:
click to view
# Number of lines of code in get_id: 4
sub get_id {
my ($self, %args) = @_;
return $self->{'id'};
}

public method Com::Vmware::Vcenter::Ovf::Property::get_instance_id | ( |  | ) |

Gets the value of 'instance_id' property.

Return values

  instance_id | - The current value of the field. The instanceId of this OVF property. optional#

Code:
click to view
# Number of lines of code in get_instance_id: 4
sub get_instance_id {
my ($self, %args) = @_;
return $self->{'instance_id'};
}

public method Com::Vmware::Vcenter::Ovf::Property::get_label | ( |  | ) |

Gets the value of 'label' property.

Return values

  label | - The current value of the field. The display name of this OVF property. optional#

Code:
click to view
# Number of lines of code in get_label: 4
sub get_label {
my ($self, %args) = @_;
return $self->{'label'};
}

public method Com::Vmware::Vcenter::Ovf::Property::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. The type of this OVF property. Refer to the configuration of a virtual appliance/virtual machine for the valid values. optional#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Ovf::Property::get_ui_optional | ( |  | ) |

Gets the value of 'ui_optional' property.

Return values

  ui_optional | - The current value of the field. Whether a category is UI optional. This is only used if this property starts a new category (see :attr:`Com::Vmware::Vcenter::Ovf::Property.category` ).

The value is stored in an optional attribute vmw:uioptional to the ovf:Category element. The default value is false. If this value is true, the properties within this category are optional. The UI renders this as a group with a check box, and the group is grayed out until the check box is selected. When the check box is selected, the input values are read and used in deployment. If properties within the same category specify conflicting values the default is used. Only implemented in vSphere Web Client 5.1 and later as of Nov 2012.

optional#

Code:
click to view
# Number of lines of code in get_ui_optional: 4
sub get_ui_optional {
my ($self, %args) = @_;
return $self->{'ui_optional'};
}

public method Com::Vmware::Vcenter::Ovf::Property::get_value | ( |  | ) |

Gets the value of 'value' property.

Return values

  value | - The current value of the field. The OVF property value. This contains the default value from ovf:defaultValue if ovf:value is not present when read. optional#

Code:
click to view
# Number of lines of code in get_value: 4
sub get_value {
my ($self, %args) = @_;
return $self->{'value'};
}

public method Com::Vmware::Vcenter::Ovf::Property::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::Property structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 32
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{class_id} = $args{'class_id'};
$self->{id} = $args{'id'};
$self->{instance_id} = $args{'instance_id'};
$self->{category} = $args{'category'};
$self->{ui_optional} = $args{'ui_optional'};
$self->{label} = $args{'label'};
$self->{description} = $args{'description'};
$self->{type} = $args{'type'};
$self->{value} = $args{'value'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::Property');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.property');
$self->set_binding_field('key' => 'class_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'instance_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'category', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'ui_optional', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'label', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'description', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'value', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::Property::set_category | ( |  | ) |

Sets the given value for 'category' property.

Parameters

  category | - New value for the field. If this is set to a non-empty string, this property starts a new category.

Code:
click to view
# Number of lines of code in set_category: 5
sub set_category {
my ($self, %args) = @_;
$self->{'category'} = $args{'category'};
return;
}

public method Com::Vmware::Vcenter::Ovf::Property::set_class_id | ( |  | ) |

Sets the given value for 'class_id' property.

Parameters

  class_id | - New value for the field. The classId of this OVF property.

Code:
click to view
# Number of lines of code in set_class_id: 5
sub set_class_id {
my ($self, %args) = @_;
$self->{'class_id'} = $args{'class_id'};
return;
}

public method Com::Vmware::Vcenter::Ovf::Property::set_description | ( |  | ) |

Sets the given value for 'description' property.

Parameters

  description | - New value for the field. A description of this OVF property.

Code:
click to view
# Number of lines of code in set_description: 5
sub set_description {
my ($self, %args) = @_;
$self->{'description'} = $args{'description'};
return;
}

public method Com::Vmware::Vcenter::Ovf::Property::set_id | ( |  | ) |

Sets the given value for 'id' property.

Parameters

  id | - New value for the field. The identifier of this OVF property.

Code:
click to view
# Number of lines of code in set_id: 5
sub set_id {
my ($self, %args) = @_;
$self->{'id'} = $args{'id'};
return;
}

public method Com::Vmware::Vcenter::Ovf::Property::set_instance_id | ( |  | ) |

Sets the given value for 'instance_id' property.

Parameters

  instance_id | - New value for the field. The instanceId of this OVF property.

Code:
click to view
# Number of lines of code in set_instance_id: 5
sub set_instance_id {
my ($self, %args) = @_;
$self->{'instance_id'} = $args{'instance_id'};
return;
}

public method Com::Vmware::Vcenter::Ovf::Property::set_label | ( |  | ) |

Sets the given value for 'label' property.

Parameters

  label | - New value for the field. The display name of this OVF property.

Code:
click to view
# Number of lines of code in set_label: 5
sub set_label {
my ($self, %args) = @_;
$self->{'label'} = $args{'label'};
return;
}

public method Com::Vmware::Vcenter::Ovf::Property::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. The type of this OVF property. Refer to the configuration of a virtual appliance/virtual machine for the valid values.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

public method Com::Vmware::Vcenter::Ovf::Property::set_ui_optional | ( |  | ) |

Sets the given value for 'ui_optional' property.

Parameters

  ui_optional | - New value for the field. Whether a category is UI optional. This is only used if this property starts a new category (see :attr:`Com::Vmware::Vcenter::Ovf::Property.category` ).

The value is stored in an optional attribute vmw:uioptional to the ovf:Category element. The default value is false. If this value is true, the properties within this category are optional. The UI renders this as a group with a check box, and the group is grayed out until the check box is selected. When the check box is selected, the input values are read and used in deployment. If properties within the same category specify conflicting values the default is used. Only implemented in vSphere Web Client 5.1 and later as of Nov 2012.

Code:
click to view
# Number of lines of code in set_ui_optional: 5
sub set_ui_optional {
my ($self, %args) = @_;
$self->{'ui_optional'} = $args{'ui_optional'};
return;
}

public method Com::Vmware::Vcenter::Ovf::Property::set_value | ( |  | ) |

Sets the given value for 'value' property.

Parameters

  value | - New value for the field. The OVF property value. This contains the default value from ovf:defaultValue if ovf:value is not present when read.

Code:
click to view
# Number of lines of code in set_value: 5
sub set_value {
my ($self, %args) = @_;
$self->{'value'} = $args{'value'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/Property.pm